package digital.laboratory.platform.reagent.vo;

import digital.laboratory.platform.reagent.entity.EvaluationForm;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import jdk.internal.dynalink.linker.LinkerServices;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.awt.*;
import java.util.List;

@Data
@AllArgsConstructor
@NoArgsConstructor
@ApiModel(value = "(服务商/供应商评价表)")

public class EvaluationFormVO extends EvaluationForm {
    @ApiModelProperty(value = "(一级评价人名称)")
    private String primaryUserName;

    @ApiModelProperty(value = "(二级评价人名称)")
    private String secondaryUserName;

    @ApiModelProperty(value = "(三级评价人名称)")
    private String threeLevelUserName;

    @ApiModelProperty(value = "(类型)")
    private String type = "供应商评价";

    @ApiModelProperty(value = "(提供服务牌或供应品集合)")
    private List<ProvideServicesOrSuppliesVO> provideServicesOrSuppliesVOList;

    @ApiModelProperty(value = "(提交人姓名)")
    private String createName;

    @ApiModelProperty(value = "(部门)")
    private String department;

    @ApiModelProperty(value = "(供应商名称)")
    private String supplierName;

}
