package digital.laboratory.platform.reagent.service;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import digital.laboratory.platform.reagent.entity.OutgoingContents;
import digital.laboratory.platform.reagent.entity.RequisitionRecord;
import digital.laboratory.platform.reagent.vo.RequisitionRecordVO;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import java.util.List;

/**
 * (试剂耗材领用记录表)服务类
 *
 * @author Zhang Xiaolong created at  2023-03-10
 * @describe (试剂耗材领用记录表) 服务类
 */
public interface RequisitionRecordService extends IService<RequisitionRecord> {

    RequisitionRecord addRecord(OutgoingContents outgoingContents);

    IPage<RequisitionRecordVO> getRequisitionRecordVOPage(IPage<RequisitionRecord> page, QueryWrapper<RequisitionRecord> qw);

    List<RequisitionRecordVO> getRequisitionRecordVO(String  [] idList);

    void rquisitionRecordTablePDF(List<RequisitionRecordVO> voList,String id, HttpServletRequest theHttpServletRequest, HttpServletResponse httpServletResponse) throws Exception;
}
