package digital.laboratory.platform.reagent.vo;

import digital.laboratory.platform.reagent.entity.ReagentConsumables;
import digital.laboratory.platform.reagent.entity.ReagentConsumablesSet;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
@ApiModel(value = "试剂耗材集合VO")
public class ReagentConsumablesSetVO extends ReagentConsumablesSet {

    public ReagentConsumables reagentConsumables;

    @ApiModelProperty(value = "(标准物质编号)")
    private String referenceMaterialNumber;

    public Integer totalQuantity;

    public String claimCode;

    private Double mass;

    private String referenceMaterialUnit;
}
